<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): GTGOTF_Basic.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GTGOTF_Basic.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GTGOTF__Basic_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef _GTG_OTF_BASIC_H_</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define _GTG_OTF_BASIC_H_</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="GTGTypes_8h.html">GTGTypes.h</a>&quot;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="GTGBasic_8h.html">GTGBasic.h</a>&quot;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="GTGOTF__Structs_8h.html">GTGOTF_Structs.h</a>&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">const</span> <a class="code" href="structotf__color.html">otf_color_t</a> <a class="code" href="group__cotf.html#ga28de2748e0f27c11131e4bb097a25bf9">OTF_get_color</a>(<a class="code" href="structgtg__color.html">gtg_color_t</a> color);</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga87f8715c93843ed56a9f4d9ed2e7d6d8">OTFInitTrace</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* filename, <a class="code" href="GTG__EZTrace_8h.html#a7a5d407dd23dfced8b5937332ff80972">gtg_flag_t</a> flags);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga5a2457a81c113ea6b241a68942a63371">OTFSetCompress</a>(<span class="keywordtype">int</span> val);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga38f77fbd3406ac7528fa0d7f18328c55">OTFAddContType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;                       <span class="keyword">const</span> <span class="keywordtype">char</span>* name);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#gac740f7116291d76bb3afd2154a1e5962">OTFAddStateType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;                        <span class="keyword">const</span> <span class="keywordtype">char</span>* name);</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga655059acd582bec8ce5b38199d8b5a1e">OTFAddEventType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;                        <span class="keyword">const</span> <span class="keywordtype">char</span>* name);</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#gad4f12572f83d4d88c2a69807853ecf98">OTFAddLinkType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias   , <span class="keyword">const</span> <span class="keywordtype">char</span>* name,</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;                       <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, <span class="keyword">const</span> <span class="keywordtype">char</span>* srcContType,</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                       <span class="keyword">const</span> <span class="keywordtype">char</span>* destContType);</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga7eec321ccab983ece92ebca92887d1cf">OTFAddVarType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias   , <span class="keyword">const</span> <span class="keywordtype">char</span>* name,</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                      <span class="keyword">const</span> <span class="keywordtype">char</span>* contType); </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga14a33c2535d2b7da582bd331993999e9">OTFAddEntityValue</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* entType, </div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                                    <span class="keyword">const</span> <span class="keywordtype">char</span>* name , <span class="keyword">const</span> <a class="code" href="structotf__color.html">otf_color_t</a> color);</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="GTGOTF__Basic_8h.html#a0f33b3122733e83c35e5b71d6c4f1a18">OTFDefineContainer</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias,</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;                                   <span class="keyword">const</span> <span class="keywordtype">char</span>*  type, <span class="keyword">const</span> <span class="keywordtype">char</span>* container,</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;                                   <span class="keyword">const</span> <span class="keywordtype">char</span>*  name, <span class="keyword">const</span> <span class="keywordtype">char</span>* file);</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#gafd43ca39c5ad8a5d88325480ff9fca75">OTFStartContainer</a> (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* alias    ,</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;                                  <span class="keyword">const</span> <span class="keywordtype">char</span>*  type, <span class="keyword">const</span> <span class="keywordtype">char</span>* container,</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;                                  <span class="keyword">const</span> <span class="keywordtype">char</span>*  name, <span class="keyword">const</span> <span class="keywordtype">char</span>* file);</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#gaa83d4e4210ed18a25f697fff36f43b84">OTFDestroyContainer</a>     (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  name,</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;                              <span class="keyword">const</span> <span class="keywordtype">char</span>*  type);</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga8535ccc5a1ec7d512eef43a5588ec6db">OTFSetState</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* val);</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#gafcaf513ad403f1073a60292ee797422c">OTFPushState</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;                     <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* val);</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga91c6066968d7c788dcd88c264a93636b">OTFPopState</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont);</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga7b5fa3f1a3f5615fe9316c692e9bce3c">OTFAddEvent</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* val);</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga0e6f15e063533999a4587f5aff536c4b">OTFStartLink</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;                     <span class="keyword">const</span> <span class="keywordtype">char</span>*   src, <span class="keyword">const</span> <span class="keywordtype">char</span>* dest,</div>
<div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;                     <span class="keyword">const</span> <span class="keywordtype">char</span>*   val , <span class="keyword">const</span> <span class="keywordtype">char</span>* key);</div>
<div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;</div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga42c372c6ccb6362453c27f74df3a3dfc">OTFEndLink</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;                   <span class="keyword">const</span> <span class="keywordtype">char</span>*  src, <span class="keyword">const</span> <span class="keywordtype">char</span>* dest,</div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;                   <span class="keyword">const</span> <span class="keywordtype">char</span>*  val, <span class="keyword">const</span> <span class="keywordtype">char</span>* key);</div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;</div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga5b0831b85cc3e6ebd78224a4199b1cfd">OTFSetVar</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  type,</div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;                  <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> val);</div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;</div>
<div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#gac288ab52595162f8b855b95eb3a6511d">OTFAddVar</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  type,</div>
<div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;                  <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> val);</div>
<div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;</div>
<div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga372542376c4963ad7c3223524a365805">OTFSubVar</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  type,</div>
<div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;                  <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> val);</div>
<div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;</div>
<div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga647e099aae188f5b818fe4c32d1d515d">OTFAddComment</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>*  comment);</div>
<div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;</div>
<div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__cotf.html#ga702d5cd834f6a960a57f4575a0e1954d">OTFEndTrace</a> ();</div>
<div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;</div>
<div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _GTG_OTF_BASIC_H_ */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;</div>
<div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;</div>
<div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;</div>
<div class="ttc" id="group__cotf_html_gafd43ca39c5ad8a5d88325480ff9fca75"><div class="ttname"><a href="group__cotf.html#gafd43ca39c5ad8a5d88325480ff9fca75">OTFStartContainer</a></div><div class="ttdeci">trace_return_t OTFStartContainer(varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)</div><div class="ttdoc">Start a Container. </div></div>
<div class="ttc" id="group__cotf_html_gac288ab52595162f8b855b95eb3a6511d"><div class="ttname"><a href="group__cotf.html#gac288ab52595162f8b855b95eb3a6511d">OTFAddVar</a></div><div class="ttdeci">trace_return_t OTFAddVar(varPrec time, const char *type, const char *cont, varPrec val)</div><div class="ttdoc">Add a value to a Variable. </div></div>
<div class="ttc" id="group__cotf_html_ga5b0831b85cc3e6ebd78224a4199b1cfd"><div class="ttname"><a href="group__cotf.html#ga5b0831b85cc3e6ebd78224a4199b1cfd">OTFSetVar</a></div><div class="ttdeci">trace_return_t OTFSetVar(varPrec time, const char *type, const char *cont, varPrec val)</div><div class="ttdoc">Set a Variable value. </div></div>
<div class="ttc" id="GTGOTF__Basic_8h_html_a0f33b3122733e83c35e5b71d6c4f1a18"><div class="ttname"><a href="GTGOTF__Basic_8h.html#a0f33b3122733e83c35e5b71d6c4f1a18">OTFDefineContainer</a></div><div class="ttdeci">trace_return_t OTFDefineContainer(const char *alias, const char *type, const char *container, const char *name, const char *file)</div></div>
<div class="ttc" id="group__type_html_gabda13d5bcd0cbdb094d655181a857e25"><div class="ttname"><a href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a></div><div class="ttdeci">double varPrec</div><div class="ttdoc">Use the double precision type for time and value. </div><div class="ttdef"><b>Definition:</b> GTGTypes.h:28</div></div>
<div class="ttc" id="group__cotf_html_ga372542376c4963ad7c3223524a365805"><div class="ttname"><a href="group__cotf.html#ga372542376c4963ad7c3223524a365805">OTFSubVar</a></div><div class="ttdeci">trace_return_t OTFSubVar(varPrec time, const char *type, const char *cont, varPrec val)</div><div class="ttdoc">Substract a value from a Variable. </div></div>
<div class="ttc" id="group__cotf_html_gaa83d4e4210ed18a25f697fff36f43b84"><div class="ttname"><a href="group__cotf.html#gaa83d4e4210ed18a25f697fff36f43b84">OTFDestroyContainer</a></div><div class="ttdeci">trace_return_t OTFDestroyContainer(varPrec time, const char *name, const char *type)</div><div class="ttdoc">Destroy a Container. </div></div>
<div class="ttc" id="GTG__EZTrace_8h_html_a7a5d407dd23dfced8b5937332ff80972"><div class="ttname"><a href="GTG__EZTrace_8h.html#a7a5d407dd23dfced8b5937332ff80972">gtg_flag_t</a></div><div class="ttdeci">uint8_t gtg_flag_t</div><div class="ttdoc">Flags that can be specified to GTG. </div><div class="ttdef"><b>Definition:</b> GTG_EZTrace.h:51</div></div>
<div class="ttc" id="group__cotf_html_ga7eec321ccab983ece92ebca92887d1cf"><div class="ttname"><a href="group__cotf.html#ga7eec321ccab983ece92ebca92887d1cf">OTFAddVarType</a></div><div class="ttdeci">trace_return_t OTFAddVarType(const char *alias, const char *name, const char *contType)</div><div class="ttdoc">Add a Variable Type. </div></div>
<div class="ttc" id="group__cotf_html_ga38f77fbd3406ac7528fa0d7f18328c55"><div class="ttname"><a href="group__cotf.html#ga38f77fbd3406ac7528fa0d7f18328c55">OTFAddContType</a></div><div class="ttdeci">trace_return_t OTFAddContType(const char *alias, const char *contType, const char *name)</div><div class="ttdoc">Add a Container Type. </div></div>
<div class="ttc" id="group__cotf_html_ga91c6066968d7c788dcd88c264a93636b"><div class="ttname"><a href="group__cotf.html#ga91c6066968d7c788dcd88c264a93636b">OTFPopState</a></div><div class="ttdeci">trace_return_t OTFPopState(varPrec time, const char *type, const char *cont)</div><div class="ttdoc">Revert the State of a Container to its previous value. </div></div>
<div class="ttc" id="group__cotf_html_gac740f7116291d76bb3afd2154a1e5962"><div class="ttname"><a href="group__cotf.html#gac740f7116291d76bb3afd2154a1e5962">OTFAddStateType</a></div><div class="ttdeci">trace_return_t OTFAddStateType(const char *alias, const char *contType, const char *name)</div><div class="ttdoc">Add a State Type. </div></div>
<div class="ttc" id="group__cotf_html_ga647e099aae188f5b818fe4c32d1d515d"><div class="ttname"><a href="group__cotf.html#ga647e099aae188f5b818fe4c32d1d515d">OTFAddComment</a></div><div class="ttdeci">trace_return_t OTFAddComment(const char *comment)</div><div class="ttdoc">Add some Comment in Trace file. </div></div>
<div class="ttc" id="GTGTypes_8h_html"><div class="ttname"><a href="GTGTypes_8h.html">GTGTypes.h</a></div></div>
<div class="ttc" id="group__type_html_ga1f1b68fb37d7331f03a48ef0993a0788"><div class="ttname"><a href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a></div><div class="ttdeci">trace_return_t</div><div class="ttdoc">Define various return values. </div><div class="ttdef"><b>Definition:</b> GTGTypes.h:35</div></div>
<div class="ttc" id="group__cotf_html_ga42c372c6ccb6362453c27f74df3a3dfc"><div class="ttname"><a href="group__cotf.html#ga42c372c6ccb6362453c27f74df3a3dfc">OTFEndLink</a></div><div class="ttdeci">trace_return_t OTFEndLink(varPrec time, const char *type, const char *src, const char *dest, const char *val, const char *key)</div><div class="ttdoc">End a Link. </div></div>
<div class="ttc" id="group__cotf_html_ga8535ccc5a1ec7d512eef43a5588ec6db"><div class="ttname"><a href="group__cotf.html#ga8535ccc5a1ec7d512eef43a5588ec6db">OTFSetState</a></div><div class="ttdeci">trace_return_t OTFSetState(varPrec time, const char *type, const char *cont, const char *val)</div><div class="ttdoc">Set the State of a Container. </div></div>
<div class="ttc" id="group__cotf_html_ga655059acd582bec8ce5b38199d8b5a1e"><div class="ttname"><a href="group__cotf.html#ga655059acd582bec8ce5b38199d8b5a1e">OTFAddEventType</a></div><div class="ttdeci">trace_return_t OTFAddEventType(const char *alias, const char *contType, const char *name)</div><div class="ttdoc">Add an Event Type. </div></div>
<div class="ttc" id="GTGBasic_8h_html"><div class="ttname"><a href="GTGBasic_8h.html">GTGBasic.h</a></div><div class="ttdoc">GTGBasic is a basic interface to generate trace in various formats. </div></div>
<div class="ttc" id="group__cotf_html_ga14a33c2535d2b7da582bd331993999e9"><div class="ttname"><a href="group__cotf.html#ga14a33c2535d2b7da582bd331993999e9">OTFAddEntityValue</a></div><div class="ttdeci">trace_return_t OTFAddEntityValue(const char *alias, const char *entType, const char *name, const otf_color_t color)</div><div class="ttdoc">Add an Entity Value. </div></div>
<div class="ttc" id="structgtg__color_html"><div class="ttname"><a href="structgtg__color.html">gtg_color</a></div><div class="ttdoc">This structure defines a color that can be used by GTG. </div><div class="ttdef"><b>Definition:</b> GTGColor.h:25</div></div>
<div class="ttc" id="group__cotf_html_ga702d5cd834f6a960a57f4575a0e1954d"><div class="ttname"><a href="group__cotf.html#ga702d5cd834f6a960a57f4575a0e1954d">OTFEndTrace</a></div><div class="ttdeci">trace_return_t OTFEndTrace()</div><div class="ttdoc">Finalize an OTF trace. </div></div>
<div class="ttc" id="structotf__color_html"><div class="ttname"><a href="structotf__color.html">otf_color</a></div><div class="ttdef"><b>Definition:</b> GTGOTF2_Structs.h:125</div></div>
<div class="ttc" id="group__cotf_html_ga5a2457a81c113ea6b241a68942a63371"><div class="ttname"><a href="group__cotf.html#ga5a2457a81c113ea6b241a68942a63371">OTFSetCompress</a></div><div class="ttdeci">trace_return_t OTFSetCompress(int val)</div><div class="ttdoc">Enable trace compression. </div></div>
<div class="ttc" id="group__cotf_html_ga28de2748e0f27c11131e4bb097a25bf9"><div class="ttname"><a href="group__cotf.html#ga28de2748e0f27c11131e4bb097a25bf9">OTF_get_color</a></div><div class="ttdeci">const otf_color_t OTF_get_color(gtg_color_t color)</div><div class="ttdoc">Converts a GTG color into a OTF color. </div></div>
<div class="ttc" id="group__cotf_html_ga0e6f15e063533999a4587f5aff536c4b"><div class="ttname"><a href="group__cotf.html#ga0e6f15e063533999a4587f5aff536c4b">OTFStartLink</a></div><div class="ttdeci">trace_return_t OTFStartLink(varPrec time, const char *type, const char *src, const char *dest, const char *val, const char *key)</div><div class="ttdoc">Start a Link. </div></div>
<div class="ttc" id="group__cotf_html_gad4f12572f83d4d88c2a69807853ecf98"><div class="ttname"><a href="group__cotf.html#gad4f12572f83d4d88c2a69807853ecf98">OTFAddLinkType</a></div><div class="ttdeci">trace_return_t OTFAddLinkType(const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)</div><div class="ttdoc">Add a Link Type. </div></div>
<div class="ttc" id="GTGOTF__Structs_8h_html"><div class="ttname"><a href="GTGOTF__Structs_8h.html">GTGOTF_Structs.h</a></div><div class="ttdoc">OTF_Structs gives the global types and functions needed to have the OTF implementation. </div></div>
<div class="ttc" id="group__cotf_html_gafcaf513ad403f1073a60292ee797422c"><div class="ttname"><a href="group__cotf.html#gafcaf513ad403f1073a60292ee797422c">OTFPushState</a></div><div class="ttdeci">trace_return_t OTFPushState(varPrec time, const char *type, const char *cont, const char *val)</div><div class="ttdoc">Save the current State on a stack and change the State of a Container. </div></div>
<div class="ttc" id="group__cotf_html_ga87f8715c93843ed56a9f4d9ed2e7d6d8"><div class="ttname"><a href="group__cotf.html#ga87f8715c93843ed56a9f4d9ed2e7d6d8">OTFInitTrace</a></div><div class="ttdeci">trace_return_t OTFInitTrace(const char *filename, gtg_flag_t flags)</div><div class="ttdoc">Initialize an OTF trace. </div></div>
<div class="ttc" id="group__cotf_html_ga7b5fa3f1a3f5615fe9316c692e9bce3c"><div class="ttname"><a href="group__cotf.html#ga7b5fa3f1a3f5615fe9316c692e9bce3c">OTFAddEvent</a></div><div class="ttdeci">trace_return_t OTFAddEvent(varPrec time, const char *type, const char *cont, const char *val)</div><div class="ttdoc">Add an Event. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
